USE MASTER; 
GO

IF DATABASEPROPERTYEX ('DBMaint2008', 'Version') > 0 
    DROP DATABASE DBMaint2008;

CREATE DATABASE DBMaint2008 ON PRIMARY ( 
    NAME = 'DBMaint2008_data', 
    FILENAME = N'D:\SQLskills\DBMaint2008_data.mdf') 
LOG ON ( 
    NAME = 'DBMaint2008_log', 
    FILENAME = N'D:\SQLskills\DBMaint2008_log.ldf', 
    SIZE = 5MB, 
    FILEGROWTH = 1MB); 
GO

ALTER DATABASE DBMaint2008 
ADD LOG FILE ( 
    NAME = 'DBMaint2008_log2', 
    FILENAME = N'D:\SQLskills\DBMaint2008_log2.ldf', 
    SIZE = 5MB, 
    FILEGROWTH = 1MB); 
GO

DBCC LOGINFO (DBMaint2008); 
GO 

USE DBMaint2008; 
GO

DBCC SHRINKDATABASE (DBMaint2008);
GO

DBCC SHRINKFILE (2, 1); 
GO

DBCC SHRINKFILE (3, 1); 
GO

ALTER DATABASE DBMaint2008
REMOVE FILE DBMaint2008_Log2;
GO

DBCC LOGINFO (DBMaint2008); 
GO 

ALTER DATABASE DBMaint2008
MODIFY FILE
	(NAME = 'DBMaint2008_log',
	SIZE = 5MB);
GO

DBCC LOGINFO (DBMaint2008); 
GO

ALTER DATABASE DBMaint2008
REMOVE FILE DBMaint2008_Log2;
GO
